Part ShapeFromMesh/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
(11 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
|[[Part_BoxSelection|BoxSelection]]
|[[Part_PointsFromMesh|PointsFromMesh]]
|[[Part_Module|Part]]
|IconL=Part_BoxSelection.svg
|IconR=Part_PointsFromMesh.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Part ShapeFromMesh‏‎|MenuLocation=Part → Create shape from mesh...|Workbenches=[[Part Workbench|Part]]|SeeAlso=[[Part ConvertToSolid]], [[Part RefineShape]]}}
{{GuiCommand|Name=Part ShapeFromMesh‏‎|MenuLocation=Part → Create shape from mesh...|Workbenches=[[Part Workbench|Part]]|SeeAlso=[[Part ConvertToSolid]], [[Part RefineShape]]}}
</div>

==Introduction==


<div class="mw-translate-fuzzy">
==Introducere==
==Introducere==
Această comandă creează o formă dintr-un [[Glossary#Mesh|mesh object]] . Obiectele din rețea au capacități de editare limitate în FreeCAD, transformându-le în forme, permit utilizarea lor cu multe alte instrumente în FreeCAD (vezi și [[#Notes | Notes]]).
Această comandă creează o formă dintr-un [[Glossary#Mesh|mesh object]] . Obiectele din rețea au capacități de editare limitate în FreeCAD, transformându-le în forme, permit utilizarea lor cu multe alte instrumente în FreeCAD (vezi și [[#Notes | Notes]]).
</div>


The inverse operation is {{Button|[[File:Mesh_FromPartShape.svg|16px]] [[Mesh_FromPartShape|Mesh FromPartShape]]}} from the [[File:Workbench_Mesh.svg|24px]] [[Mesh_Workbench|Mesh Workbench]].

==Usage==

<div class="mw-translate-fuzzy">
==Utilizare==
==Utilizare==
# Selectați obeictul tip plasă.
# Selectați obeictul tip plasă.
Line 10: Line 30:
# A popup-menu will ask for the tolerance for sewing shape (default value: 0,1)
# A popup-menu will ask for the tolerance for sewing shape (default value: 0,1)
# A shape from the mesh object is created as a seperate new object.
# A shape from the mesh object is created as a seperate new object.
</div>


<div class="mw-translate-fuzzy">
==Limitări==
==Limitări==
There will be no analyzing or validating of the mesh object.
There will be no analyzing or validating of the mesh object.
Line 17: Line 39:
<br />
<br />
Appropriate tools are available in the [[Mesh Workbench]].
Appropriate tools are available in the [[Mesh Workbench]].
</div>

After creation of a [[Shape|Shape]], it may be useful to use {{Button|[[Part_MakeSolid|Convert to solid]]}} (necessary for [[Part_Boolean|boolean operations]]) and {{Button|[[File:Part_RefineShape.svg|16px]] [[Part_RefineShape|Refine shape]]}}.

== Links ==

* [https://www.youtube.com/watch?v=5lwENZeNiNg&feature=youtu.be Edit STL Files In FreeCAD] video by AllVisuals4U.

==Scripting==

Creating a [[Shape|Shape]] from a [[Mesh|Mesh]] can be done by using the {{incode|makeShapeFromMesh}} method from a [[Part_TopoShape|Part TopoShape]]; you need to specify the source mesh and tolerance, and assign the result to a new [[Part_Feature|Part Feature]] object.

Notice that the mesh must be recalculated before it is converted to a Shape, otherwise there won't be topology information, and the conversion won't be successful.

{{Code|code=
import FreeCAD as App
import Part

doc = App.newDocument()
mesh = doc.addObject("Mesh::Cube", "Mesh")
mesh.recompute()


solid = doc.addObject("Part::Feature", "Shape")
==Note==
shape = Part.Shape()
After creation of a shape, it may be useful to use [[Part ConvertToSolid|Convert to solid]] (necessary for [[Glossary#Boolean Operation|Boolean operations]]) and [[Part RefineShape|Refine shape]] tools.
shape.makeShapeFromMesh(mesh.Mesh.Topology, 0.1)


solid.Shape = shape
solid.Placement.Base = App.Vector(15, 0, 0)
solid.purgeTouched()
doc.recompute()
}}




{{Docnav
|[[Part_BoxSelection|BoxSelection]]
|[[Part_PointsFromMesh|PointsFromMesh]]
|[[Part_Module|Part]]
|IconL=Part_BoxSelection.svg
|IconR=Part_PointsFromMesh.svg
|IconC=Workbench_Part.svg
}}


{{Part Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 20:38, 1 December 2020

Part ShapeFromMesh‏‎

Menu location
Part → Create shape from mesh...
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part ConvertToSolid, Part RefineShape

Introduction

Introducere

Această comandă creează o formă dintr-un mesh object . Obiectele din rețea au capacități de editare limitate în FreeCAD, transformându-le în forme, permit utilizarea lor cu multe alte instrumente în FreeCAD (vezi și Notes).

The inverse operation is Mesh FromPartShape from the Mesh Workbench.

Usage

Utilizare

  1. Selectați obeictul tip plasă.
  2. Choose Part Create shape from mesh ... from the top menu.
  3. A popup-menu will ask for the tolerance for sewing shape (default value: 0,1)
  4. A shape from the mesh object is created as a seperate new object.

Limitări

There will be no analyzing or validating of the mesh object.
Analyzing and repairing of the mesh (if needed) should be done manually before conversion.
Appropriate tools are available in the Mesh Workbench.

After creation of a Shape, it may be useful to use Convert to solid (necessary for boolean operations) and Refine shape.

Links

Scripting

Creating a Shape from a Mesh can be done by using the makeShapeFromMesh method from a Part TopoShape; you need to specify the source mesh and tolerance, and assign the result to a new Part Feature object.

Notice that the mesh must be recalculated before it is converted to a Shape, otherwise there won't be topology information, and the conversion won't be successful.

import FreeCAD as App
import Part

doc = App.newDocument()
mesh = doc.addObject("Mesh::Cube", "Mesh")
mesh.recompute()

solid = doc.addObject("Part::Feature", "Shape")
shape = Part.Shape()
shape.makeShapeFromMesh(mesh.Mesh.Topology, 0.1)

solid.Shape = shape
solid.Placement.Base = App.Vector(15, 0, 0)
solid.purgeTouched()
doc.recompute()